Prev | Chapter 10. Advanced Topics | Next

## Scheduled Procedures

Put this proc in a file `/packages/myfirstpackage/tcl/scheduled-init.tcl`. Files in /tcl with the -init.tcl ending are sourced on server startup. This one executes my_proc every 60 seconds:

    ad_schedule_proc 60 myfirstpackage::my_proc

This executes once a day, at midnight:

    ad_schedule_proc \
        -schedule_proc ns_schedule_daily \
        [list 0 0] \
        myfirstpackage::my_proc

See ad_schedule_proc for more information.

Prev | Home | Next
Basic Caching | Up | Enabling WYSIWYG

View comments on this page at openacs.org